com.opensymphony.xwork2.validator.validators

## Class RangeValidatorSupport<T extends Comparable>

- java.lang.Object
- - com.opensymphony.xwork2.validator.validators.ValidatorSupport
  - - com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
    - - com.opensymphony.xwork2.validator.validators.RangeValidatorSupport<T>

- All Implemented Interfaces:
    FieldValidator, ShortCircuitableValidator, Validator
  Direct Known Subclasses:
    DateRangeFieldValidator, IntRangeFieldValidator, LongRangeFieldValidator, ShortRangeFieldValidator

      public abstract class RangeValidatorSupport<T extends Comparable>
      extends FieldValidatorSupport

  Base class for range based validators. Use this class to develop any other custom range validators.

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

      `currentValue, fieldName`

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RangeValidatorSupport(Class<T> type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getMax()`
    `T` | `getMin()`
    `protected T` | `getT(T minMax, String minMaxExpression, Class<T> toType)`
    `void` | `setMax(T max)`
    `void` | `setMaxExpression(String maxExpression)`
    `void` | `setMin(T min)`
    `void` | `setMinExpression(String minExpression)`
    `void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
    `protected void` | `validateValue(Object object, Comparable<T> value, T min, T max)`

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

      `getCurrentValue, getFieldName, getValidatorType, setFieldName, setValidatorType`

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValueStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.validator.Validator

      `getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

- - ### Constructor Detail

    - #### RangeValidatorSupport

          protected RangeValidatorSupport(Class<T> type)

  - ### Method Detail

    - #### validate

          public void validate(Object object)
                        throws ValidationException

      Description copied from interface: `Validator`
      The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
      Parameters:
        `object` - the object to be validated.
      Throws:
        `ValidationException` - is thrown if there is validation error(s).

    - #### validateValue

          protected void validateValue(Object object,
                                       Comparable<T> value,
                                       T min,
                                       T max)

    - #### setMin

          public void setMin(T min)

    - #### getMin

          public T getMin()

    - #### getMax

          public T getMax()

    - #### setMinExpression

          public void setMinExpression(String minExpression)

    - #### setMax

          public void setMax(T max)

    - #### setMaxExpression

          public void setMaxExpression(String maxExpression)

    - #### getT

          protected T getT(T minMax,
                           String minMaxExpression,
                           Class<T> toType)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.